Bug 174986 - [PATCH] net-p2p/qbittorrent: Changed dependencies, take maintainership
[PATCH] net-p2p/qbittorrent: Changed dependencies, take maintainership
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-05 01:30 UTC by nemysis
Modified: 2013-01-10 18:42 UTC (History)
0 users

See Also:


Attachments
qbittorrent-3.0.6.patch (1.18 KB, patch)
2013-01-05 01:30 UTC, nemysis
no flags Details | Diff
qbittorrent.diff (1.42 KB, patch)
2013-01-08 10:54 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-01-05 01:30:00 UTC
- Take maintainership

Makefile changed:
+LIB_DEPENDS=	execinfo:${PORTSDIR}/devel/libexecinfo \
+LIB_DEPENDS+=	GeoIP:${PORTSDIR}/net/GeoIP
+	${INSTALL_MAN} ${WRKSRC}/doc/qbittorrent-nox.1 ${MAN1PREFIX}/man/man1

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
looks usual and better.

port test: clean
Comment 1 jgh@FreeBSD.org freebsd_committer 2013-01-05 02:30:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 jgh@FreeBSD.org freebsd_committer 2013-01-08 05:23:51 UTC
State Changed
From-To: open->feedback

please clarify why the abi version was dropped while it is noted in the 
Makefile that it is specified for a reason.
Comment 3 nemysis 2013-01-08 10:54:01 UTC
On Tue, 8 Jan 2013 05:23:52 GMT
jgh@FreeBSD.org wrote:

> Synopsis: [PATCH] net-p2p/qbittorrent: Changed dependencies, take maintainership
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: jgh
> State-Changed-When: Tue Jan 8 05:23:51 UTC 2013
> State-Changed-Why: 
> please clarify why the abi version was dropped while it is noted in the
> Makefile that it is specified for a reason.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=174986



From INSTALL

Dependencies:

libtorrent-rasterbar by Arvid Norberg (>= 0.15.0)

Only is needed to use Version here for libtorrent-rasterbar

torrent-rasterbar.6:${PORTSDIR}/net-p2p/libtorrent-rasterbar-16



I have search as always with

grep -r devel/libexecinfo /usr/ports/*

and have seen that mostly Ports use

execinfo:${PORTSDIR}/devel/libexecinfo


I think this can be changed to

-# ABI versions specified on purpose
+# ABI versions specified on purpose for libtorrent-rasterbar



Comment 4 jgh@FreeBSD.org freebsd_committer 2013-01-10 18:13:37 UTC
State Changed
From-To: feedback->open

feedback received
Comment 5 jgh@FreeBSD.org freebsd_committer 2013-01-10 18:16:42 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter freebsd_committer 2013-01-10 18:16:42 UTC
Author: jgh
Date: Thu Jan 10 18:16:29 2013
New Revision: 310194
URL: http://svnweb.freebsd.org/changeset/ports/310194

Log:
  - pass maintainership to submitter
  - drop ABI versions for most libraries
  
  PR:		174986
  Submitted by:	nemysis@gmx.ch

Modified:
  head/net-p2p/qbittorrent/Makefile

Modified: head/net-p2p/qbittorrent/Makefile
==============================================================================
--- head/net-p2p/qbittorrent/Makefile	Thu Jan 10 18:12:45 2013	(r310193)
+++ head/net-p2p/qbittorrent/Makefile	Thu Jan 10 18:16:29 2013	(r310194)
@@ -6,11 +6,10 @@ PORTREVISION?=	0
 CATEGORIES=	net-p2p ipv6
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}/
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	nemysis@gmx.ch
 COMMENT?=	Bittorrent client using Qt4 and libtorrent-rasterbar
 
-# ABI versions specified on purpose
-LIB_DEPENDS=	execinfo.1:${PORTSDIR}/devel/libexecinfo \
+LIB_DEPENDS=	execinfo:${PORTSDIR}/devel/libexecinfo \
 		torrent-rasterbar.6:${PORTSDIR}/net-p2p/libtorrent-rasterbar-16
 
 HAS_CONFIGURE=	yes
@@ -22,7 +21,7 @@ MAKE_JOBS_SAFE=	yes
 MAN1?=		qbittorrent.1
 
 .if !defined(QB_NOX_SLAVE)
-LIB_DEPENDS+=	GeoIP.5:${PORTSDIR}/net/GeoIP
+LIB_DEPENDS+=	GeoIP:${PORTSDIR}/net/GeoIP
 USE_QT4+=	gui xml uic_build
 INSTALLS_ICONS=	yes
 OPTIONS_DEFINE=	DBUS
@@ -46,7 +45,7 @@ post-install:
 	@${STRIP_CMD} ${PREFIX}/bin/qbittorrent
 .else
 	@${STRIP_CMD} ${PREFIX}/bin/qbittorrent-nox
-	${INSTALL_MAN} ${WRKSRC}/doc/qbittorrent-nox.1 ${MANPREFIX}/man/man1
+	${INSTALL_MAN} ${WRKSRC}/doc/qbittorrent-nox.1 ${MAN1PREFIX}/man/man1
 .endif
 
 .include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"